## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate critical-section

Name:           rust-critical-section
Version:        1.2.0
Release:        %autorelease
Summary:        Cross-platform critical section

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/critical-section
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Cross-platform critical section.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CODE_OF_CONDUCT.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+restore-state-bool-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+restore-state-bool-devel %{_description}

This package contains library source intended for building other packages which
use the "restore-state-bool" feature of the "%{crate}" crate.

%files       -n %{name}+restore-state-bool-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+restore-state-none-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+restore-state-none-devel %{_description}

This package contains library source intended for building other packages which
use the "restore-state-none" feature of the "%{crate}" crate.

%files       -n %{name}+restore-state-none-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+restore-state-u16-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+restore-state-u16-devel %{_description}

This package contains library source intended for building other packages which
use the "restore-state-u16" feature of the "%{crate}" crate.

%files       -n %{name}+restore-state-u16-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+restore-state-u32-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+restore-state-u32-devel %{_description}

This package contains library source intended for building other packages which
use the "restore-state-u32" feature of the "%{crate}" crate.

%files       -n %{name}+restore-state-u32-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+restore-state-u64-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+restore-state-u64-devel %{_description}

This package contains library source intended for building other packages which
use the "restore-state-u64" feature of the "%{crate}" crate.

%files       -n %{name}+restore-state-u64-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+restore-state-u8-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+restore-state-u8-devel %{_description}

This package contains library source intended for building other packages which
use the "restore-state-u8" feature of the "%{crate}" crate.

%files       -n %{name}+restore-state-u8-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+restore-state-usize-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+restore-state-usize-devel %{_description}

This package contains library source intended for building other packages which
use the "restore-state-usize" feature of the "%{crate}" crate.

%files       -n %{name}+restore-state-usize-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jul 25 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Oct 20 2024 Fabio Valentini <decathorpe@gmail.com> - 1.2.0-1
- Update to version 1.2.0; Fixes RHBZ#2319216

* Mon Sep 16 2024 Fabio Valentini <decathorpe@gmail.com> - 1.1.3-1
- Update to version 1.1.3; Fixes RHBZ#2307136

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Aug 27 2023 Fabio Valentini <decathorpe@gmail.com> - 1.1.2-1
- Update to version 1.1.2; Fixes RHBZ#2230502

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Dec 21 2022 Fabio Valentini <decathorpe@gmail.com> - 1.1.1-1
- Initial import (#2150615)
## END: Generated by rpmautospec
